Bug 1017773 - Nautilus' sorting is inconsistent with regards to filename extensions
Nautilus' sorting is inconsistent with regards to filename extensions
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 09:31 EDT by "FeRD" (Frank Dana)
Modified: 2015-02-17 12:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:36:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of inconsistently-sorted filename list in Nautilus (16.14 KB, image/png)
2013-10-10 09:31 EDT, "FeRD" (Frank Dana)
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 709818 None None None Never

  None (edit)
Description "FeRD" (Frank Dana) 2013-10-10 09:31:33 EDT
Created attachment 810518 [details]
Screenshot of inconsistently-sorted filename list in Nautilus

Description of problem:
There's something weird about how Nautilus sorts same-named files with different extensions. When the filename changes, the order of sorting EXTENSIONS can reverse itself.

Version-Release number of selected component (if applicable):
nautilus-3.8.2-1.fc19.x86_64

How reproducible:
Always?

Steps to Reproduce:
1. Open folder containing appropriate set of files
2. Switch to List view
3. Sort list by Name

Actual results:
A list of files, sorted inconsistently.

Expected results:
Sanity.

Additional info:
To save you needing to look at the screenshot, consider the following directory of files, sensibly ordered in the output of 'ls -1':

003.part
003.part.met
003.part.met.bak
005.part
005.part.met
005.part.met.bak
006.part
006.part.met
006.part.met.bak
006.part.met.seeds
009.part
009.part.met
009.part.met.bak
010.part
010.part.met
010.part.met.bak

In Nautilus, the attached screenshot shows that those same files are sorted ("by Name") thusly:

003.part.met.bak
003.part.met
003.part
005.part.met.bak
005.part.met
005.part
006.part.met.bak
006.part.met.seeds
006.part.met
006.part
009.part.met.bak
009.part.met
009.part
010.part
010.part.met
010.part.met.bak

Even if you believe that the longest-extension-chain-first ordering is sensible (I disagree, but that's neither here nor there), note that the extension order REVERSES itself when the filename base changes from 009 to 010! Whatever kooky ordering Nautilus uses for filenames, it needs to at least apply it consistently.
Comment 1 "FeRD" (Frank Dana) 2013-10-10 09:37:32 EDT
Reported upstream in Gnome bugzilla as #709818
Comment 2 Fedora End Of Life 2015-01-09 15:11:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 12:36:35 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.